%define oname     fpconst
%define name      python-%{oname}
%define version   0.6.0
%define release   4mdk
%define dname     %{oname}-%{version}

%define pyversion 2.3

Summary:       IEEE754 float infinity and NaN for python
Name:          python-%{oname}
Version:       %{version}
Release:       %{release}
Source:        %{dname}.tar.bz2
License:       BSD-like
Group:         Development/Python
BuildRoot:     %{_tmppath}/%{name}-buildroot
Url:           http://software.biostat.washington.edu/statsoft/snake/fpconst
Requires:      python = %{pyversion}
BuildRequires: python-devel
BuildArch:     noarch

%description
This module provides constants and functions for handling IEEE754
floating point infinite and NaN values.

This works on any python that uses IEEE754 double values for its float
type (whether big- or little-endian). Although this is not required,
it's unlikely any python would fail to meet this requirement (the code
in both the standard and JPython interpreters assumes IEEE754 double
all over the place).

%prep
%setup -q -n %{dname}

%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
python setup.py install --root $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README pep-0754.txt PKG-INFO
%{_libdir}/python%{pyversion}/site-packages/%{oname}.*

%changelog
* Sat Aug 9 2003 Austin Acton <aacton@yorku.ca> 0.6.0-4mdk
- python 2.3

* Sun Jul 27 2003 Michael Scherer <scherer.michael@free.fr> 0.6.0-3mdk
- really fix BuildRequires, not Requires.

* Sun Jul 27 2003 Michael Scherer <scherer.michael@free.fr> 0.6.0-2mdk 
- BuildRequires

* Wed Jul 9 2003 Austin Acton <aacton@yorku.ca> 0.6.0-1mdk 
- andi payn <payn@myrealbox.com> :
  - Initial specfile
